Welcome to mirror list, hosted at ThFree Co, Russian Federation.

gitlab.com/gitlab-org/gitlab-foss.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGitLab Bot <gitlab-bot@gitlab.com>2020-12-17 14:59:07 +0300
committerGitLab Bot <gitlab-bot@gitlab.com>2020-12-17 14:59:07 +0300
commit8b573c94895dc0ac0e1d9d59cf3e8745e8b539ca (patch)
tree544930fb309b30317ae9797a9683768705d664c4 /workhorse/_support/detect-context.sh
parent4b1de649d0168371549608993deac953eb692019 (diff)
Add latest changes from gitlab-org/gitlab@13-7-stable-eev13.7.0-rc42
Diffstat (limited to 'workhorse/_support/detect-context.sh')
-rwxr-xr-xworkhorse/_support/detect-context.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/workhorse/_support/detect-context.sh b/workhorse/_support/detect-context.sh
new file mode 100755
index 00000000000..60ad212decf
--- /dev/null
+++ b/workhorse/_support/detect-context.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+git grep 'context.\(Background\|TODO\)' | \
+ grep -v -e '^[^:]*_test\.go:' -v -e "lint:allow context.Background" -e '^vendor/' -e '^_support/' -e '^cmd/[^:]*/main.go' | \
+ grep -e '^[^:]*\.go' | \
+ awk '{
+ print "Found disallowed use of context.Background or TODO"
+ print
+ exit 1
+}'